package com.tuoheng.system;

import com.tuoheng.common.security.annotation.EnableCustomConfig;
import com.tuoheng.common.security.annotation.EnableTHFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.security.oauth2.config.annotation.web.configuration.EnableResourceServer;

@SpringBootApplication
@EnableDiscoveryClient
@EnableTHFeignClients
@EnableCustomConfig
@EnableResourceServer
public class THSystemApplication {

    public static void main(String[] args) {
        SpringApplication.run(THSystemApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  微服务【系统服务】启动成功   ლ(´ڡ`ლ)ﾞ");
    }

}
