package com.tuoheng.system.api.vo;

import com.tuoheng.system.api.entity.User;
import lombok.Data;

import java.io.Serializable;
import java.util.Set;

/**
 * 用户信息Vo
 */
@Data
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户基本信息
     */
    private User user;

    /**
     * 权限标识集合
     */
    private Set<String> permissions;

    /**
     * 角色集合
     */
    private Set<String> roles;

}
