package com.tuoheng.inspection;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

@SpringBootApplication
@EnableDiscoveryClient
@MapperScan("com.tuoheng.**.**.mapper")
public class TuohengInspectionApplication {

    public static void main(String[] args) {
        SpringApplication.run(TuohengInspectionApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  微服务【系统服务】启动成功   ლ(´ڡ`ლ)ﾞ");
    }

}
