package com.tuoheng.system.service;

import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.system.api.entity.User;
import com.tuoheng.system.api.vo.UserInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 后台用户管理表 服务类
 * </p>
 *
 * @author 拓恒
 * @since 2022-06-21
 */
public interface IUserService extends IService<User> {

    /**
     * 根据姓名获取用户信息
     *
     * @param username 用户名
     * @return
     */
    JsonResult<UserInfo> getInfoByName(String username);

}
